﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
           
            
        }

    
        private void btnStart_Click(object sender, RoutedEventArgs e)
        {
            axScreen2Video1.CaptureWidth = axScreen2Video1.ScreenWidth();
            axScreen2Video1.CaptureHeight = axScreen2Video1.ScreenHeight();
            axScreen2Video1.OutputType = SCREEN2VIDEOLib.MYOUTPUT.MP4;
            axScreen2Video1.MP4AudioBitrate =224000;
            axScreen2Video1.MP4AudioChannels = 2;
            axScreen2Video1.MP4AudioSampleRate = 44100;
            axScreen2Video1.MP4Framerate = 25;
            axScreen2Video1.MP4Height =720;
            axScreen2Video1.MP4Width = 1280;
            axScreen2Video1.MP4VideoBitrate = 4600000;

            axScreen2Video1.FPS =25;
            axScreen2Video1.AudioDevice =0;
            axScreen2Video1.AudioInputPin = 0;
            axScreen2Video1.CaptureArea(0,0,axScreen2Video1.CaptureWidth,axScreen2Video1.CaptureHeight);

            Microsoft.Win32.SaveFileDialog dlg = new Microsoft.Win32.SaveFileDialog();
            dlg.DefaultExt = ".mp4";
            dlg.Filter = "MP4 file(.mp4)|*.mp4";

            Nullable<bool> result = dlg.ShowDialog();
            if (result == true)
            {
                string filename = dlg.FileName;
                axScreen2Video1.FileName = filename;
            }
            else
                return;

            axScreen2Video1.Start();

            btnStart.IsEnabled = false;
            btnStop.IsEnabled = true;
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            axScreen2Video1.Stop();
            btnStart.IsEnabled = true;
            btnStop.IsEnabled = false;

        }
    }
}
